package com.kdanmobile.reader.screen

import android.arch.lifecycle.ViewModel
import android.arch.lifecycle.ViewModelProvider
import com.kdanmobile.reader.screen.model.SharePrefsModel

class ViewerSettingViewModelFactory(private val sharePrefsModel: SharePrefsModel) : ViewModelProvider.Factory {
    override fun <T : ViewModel?> create(modelClass: Class<T>): T {
        return ViewerSettingViewModel(sharePrefsModel) as T
    }
}